/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Provides the list of packages to add to a software source.
 */
export interface AddPackagesToSoftwareSourceDetails {
    /**
     * List of packages specified by the name of the package (N) or the full package name (NVRA or NEVRA).
     */
    "packages": Array<string>;
    /**
     * Indicates whether the service should generate a custom software source when the package list contains invalid values. When set to true, the service ignores any invalid packages and generates the custom software source with using the valid packages.
     */
    "isContinueOnMissingPackages"?: boolean;
}
export declare namespace AddPackagesToSoftwareSourceDetails {
    function getJsonObj(obj: AddPackagesToSoftwareSourceDetails): object;
    function getDeserializedJsonObj(obj: AddPackagesToSoftwareSourceDetails): object;
}
