/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides the information used for the reboot job.
 */
export interface RebootManagedInstanceGroupDetails {
    /**
     * The number of minutes the service waits for the reboot to complete. If the instances in the group don't reboot
     * within this time, the reboot job status is set to failed.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "rebootTimeoutInMins"?: number;
    "workRequestDetails"?: model.WorkRequestDetails;
}
export declare namespace RebootManagedInstanceGroupDetails {
    function getJsonObj(obj: RebootManagedInstanceGroupDetails): object;
    function getDeserializedJsonObj(obj: RebootManagedInstanceGroupDetails): object;
}
