/**
 * Connector Hub API
 * Use the Connector Hub API to transfer data between services in Oracle Cloud Infrastructure.
For more information about Connector Hub, see
[the Connector Hub documentation](https://docs.oracle.com/iaas/Content/connector-hub/home.htm).
Connector Hub is formerly known as Service Connector Hub.

 * OpenAPI spec version: 20200909
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The destination metric for data transferred from the source.
 * For configuration instructions, see
 * [Creating a Connector](https://docs.oracle.com/iaas/Content/connector-hub/create-service-connector.htm).
 *
 */
export interface MonitoringTargetDetailsResponse extends model.TargetDetailsResponse {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment containing the metric.
     *
     */
    "compartmentId": string;
    /**
     * The namespace of the metric.
     * Example: {@code oci_computeagent}
     *
     */
    "metricNamespace": string;
    /**
     * The name of the metric.
     * Example: {@code CpuUtilization}
     *
     */
    "metric": string;
    /**
     * List of dimension names and values.
     *
     */
    "dimensions"?: Array<model.DimensionDetails>;
    "kind": string;
}
export declare namespace MonitoringTargetDetailsResponse {
    function getJsonObj(obj: MonitoringTargetDetailsResponse, isParentJsonObj?: boolean): object;
    const kind = "monitoring";
    function getDeserializedJsonObj(obj: MonitoringTargetDetailsResponse, isParentJsonObj?: boolean): object;
}
