/**
 * Connector Hub API
 * Use the Connector Hub API to transfer data between services in Oracle Cloud Infrastructure.
For more information about Connector Hub, see
[the Connector Hub documentation](https://docs.oracle.com/iaas/Content/connector-hub/home.htm).
Connector Hub is formerly known as Service Connector Hub.

 * OpenAPI spec version: 20200909
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Streaming target response. Private metadata is included when the target is a stream accessed through
 * a [private endpoint](https://docs.oracle.com/iaas/Content/Streaming/Concepts/streamsecurity.htm#private_endpoints).
 *
 */
export interface StreamingTargetDetailsResponse extends model.TargetDetailsResponse {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the stream.
     *
     */
    "streamId": string;
    "kind": string;
}
export declare namespace StreamingTargetDetailsResponse {
    function getJsonObj(obj: StreamingTargetDetailsResponse, isParentJsonObj?: boolean): object;
    const kind = "streaming";
    function getDeserializedJsonObj(obj: StreamingTargetDetailsResponse, isParentJsonObj?: boolean): object;
}
