/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about template condition in the same monitoringTemplate in a compartment.
 */
export interface AlarmCondition {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Alarm Condition.
     */
    "id": string;
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the monitoring template.
     */
    "monitoringTemplateId": string;
    /**
     * The stack monitoring service or application emitting the metric that is evaluated by the alarm.
     */
    "namespace": string;
    /**
     * The OCID of the composite resource type like EBS/PEOPLE_SOFT.
     */
    "compositeType"?: string;
    /**
     * The resource type OCID.
     */
    "resourceType": string;
    /**
     * The metric name.
     */
    "metricName": string;
    /**
     * Type of defined monitoring template.
     */
    "conditionType": model.ConditionType;
    /**
     * Monitoring template conditions
     */
    "conditions": Array<model.Condition>;
    /**
     * The current status of the monitoring template i.e. whether it is Published or Unpublished
     */
    "status": model.AlarmConditionLifeCycleDetails;
    /**
     * The current lifecycle state of the monitoring template
     */
    "lifecycleState": model.AlarmConditionLifeCycleStates;
    /**
     * The date and time the alarm condition was created. Format defined by RFC3339.
     */
    "timeCreated"?: Date;
    /**
     * The date and time the alarm condition was updated. Format defined by RFC3339.
     */
    "timeUpdated"?: Date;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace AlarmCondition {
    function getJsonObj(obj: AlarmCondition): object;
    function getDeserializedJsonObj(obj: AlarmCondition): object;
}
