/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary information about Monitoring Template.
 */
export interface MonitoringTemplateSummary {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the monitoringTemplate
     */
    "id": string;
    /**
     * A user-friendly name for the monitoring template.
     */
    "displayName": string;
    /**
     * Tenant Identifier [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm)
     */
    "tenantId": string;
    /**
     * The OCID of the compartment containing the monitoringTemplate.
     */
    "compartmentId": string;
    /**
     * A user-friendly description for the monitoring template
     */
    "description"?: string;
    /**
     * The current status of the monitoring template i.e. whether it is Applied or Not Applied
     */
    "status": model.MonitoringTemplateLifeCycleDetails;
    /**
     * The current lifecycle state of the monitoring template
     */
    "lifecycleState": model.MonitoringTemplateLifeCycleStates;
    /**
     * A list of destinations for alarm notifications. Each destination is represented by the OCID of a related resource
     */
    "destinations": Array<string>;
    /**
     * List of members of this monitoring template
     */
    "members"?: Array<model.MemberReference>;
    /**
     * Total Alarm Conditions Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalAlarmConditions": number;
    /**
     * Total Applied Alarm Conditions Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalAppliedAlarmConditions": number;
    /**
     * The date and time the monitoringTemplate was created. Format defined by RFC3339.
     */
    "timeCreated": Date;
    /**
     * The date and time the monitoringTemplate was last updated. Format defined by RFC3339.
     */
    "timeUpdated": Date;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace MonitoringTemplateSummary {
    function getJsonObj(obj: MonitoringTemplateSummary): object;
    function getDeserializedJsonObj(obj: MonitoringTemplateSummary): object;
}
