/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A configuration of the ONBOARD type, contains fields describing Onboarding customization: policies,
 * dynamic groups, user groups.
 *
 */
export interface OnboardConfigDetails extends model.Config {
    /**
     * Assigned version to given onboard configuration.
     */
    "version"?: string;
    /**
     * True if customer decides marks configuration as manually configured.
     */
    "isManuallyOnboarded": boolean;
    /**
     * List of policy names assigned for onboarding
     */
    "policyNames"?: Array<string>;
    /**
     * List of dynamic groups dedicated for Stack Monitoring.
     */
    "dynamicGroups"?: Array<model.DynamicGroupDetails>;
    /**
     * List of user groups dedicated for Stack Monitoring.
     */
    "userGroups"?: Array<model.GroupDetails>;
    "additionalConfigurations"?: model.AdditionalConfigurationDetails;
    "configType": string;
}
export declare namespace OnboardConfigDetails {
    function getJsonObj(obj: OnboardConfigDetails, isParentJsonObj?: boolean): object;
    const configType = "ONBOARD";
    function getDeserializedJsonObj(obj: OnboardConfigDetails, isParentJsonObj?: boolean): object;
}
