/**
 *
 *
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.oracle.com/en-us/iaas/tools/typescript-sdk-examples/latest/stackmonitoring/ListDefinedMonitoringTemplates.ts.html |here} to see how to use ListDefinedMonitoringTemplatesRequest.
 */
export interface ListDefinedMonitoringTemplatesRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the tenancy(root) for which
     * defined monitored templates should be listed.
     *
     */
    "compartmentId": string;
    /**
     * For list pagination. The maximum number of results per page, or items to return in a
     * paginated \"List\" call. For important details about how pagination works, see
     * [List Pagination](https://docs.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "limit"?: number;
    /**
     * For list pagination. The value of the {@code opc-next-page} response header from the
     * previous \"List\" call. For important details about how pagination works, see
     * [List Pagination](https://docs.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "page"?: string;
    /**
     * The field to sort by. Only one sort order may be provided.
     * Default order for 'namespace' is ascending.
     *
     */
    "sortBy"?: ListDefinedMonitoringTemplatesRequest.SortBy;
    /**
     * A filter to return monitoring template based on name.
     */
    "displayName"?: string;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     *
     */
    "sortOrder"?: model.SortOrder;
    /**
     * Multiple resource types filter.
     */
    "resourceTypes"?: Array<string>;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a
     * particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace ListDefinedMonitoringTemplatesRequest {
    enum SortBy {
        Namespace = "namespace"
    }
}
